# Generated by Django 2.2.4 on 2019-09-27 08:45
from django.db import migrations
from django.core.validators import EMPTY_VALUES


def fill_slug(apps,schemaeditor):
    News = apps.get_model('news', 'News')
    for news in News.objects.all():
        if news.slug in EMPTY_VALUES:
            news.slug = f'Slug_{news.id}'
            news.save()


class Migration(migrations.Migration):

    dependencies = [
        ('news', '0013_auto_20190924_0806'),
    ]

    operations = [
        migrations.RunPython(fill_slug, migrations.RunPython.noop)
    ]
